commit 578c6d8f1d996f143826b36b917105604999d271
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Wed Jun 18 22:38:07 2014 +0200

    Weekly update of contrib modules

diff --git a/drupal7/sites/all/themes/mayo/README.txt b/drupal7/sites/all/themes/mayo/README.txt
index 7327e257..197c8e68 100644
--- a/drupal7/sites/all/themes/mayo/README.txt
+++ b/drupal7/sites/all/themes/mayo/README.txt
@@ -95,7 +95,7 @@ MAYO supports the following regions.
 +-----------------------------------------+
 
 As you can see, it supports multiple columns in the top, bottom and footer regions. You can add up to four columns. The width of a column is automatically calculated based on the number of columns to be used. For example, if you add 3 blocks to the footer, then the width of each column will be 33% of the footer width.
-Each block in the top and bottom columns regions has its own box style just like sidebar blocks. Height of these blocks are equalized to the tallest blocks within the same region so that they looks nice and neat.
+Each block in the top and bottom columns regions has its own box style just like sidebar blocks. Height of these blocks are equalized to the tallest blocks within the same region so that they look nice and neat.
 
 Menu and Submenu regions are for those who uses superfish, nice_menus and other drop down menus (see the next section for more details).  Position of the sidebar first and the second can be configured from the theme settings page.
 
diff --git a/drupal7/sites/all/themes/mayo/css/style.css b/drupal7/sites/all/themes/mayo/css/style.css
index ff27d3f2..4147bb34 100644
--- a/drupal7/sites/all/themes/mayo/css/style.css
+++ b/drupal7/sites/all/themes/mayo/css/style.css
@@ -364,10 +364,10 @@ fieldset {
   margin: 0px;
 }
 
-.rc-1 .comment,
-.rc-1 .node,
-.rc-2 .column-block,
-.rc-2 .sidebar .block,
+.rc-2 .comment,
+.rc-2 .node,
+.rc-1 .column-block,
+.rc-1 .sidebar .block,
 .rc-3 .comment,
 .rc-3 .node,
 .rc-3 .column-block,
@@ -745,6 +745,14 @@ div.tabs .primary li a {
   border-width: 1px;
 }
 
+/* To wrap tabs. */
+div.tabs .secondary li,
+div.tabs .primary li {
+  float: left;
+  line-height: 1.5em;
+  margin-right: 3px;
+}
+
 div.tabs .secondary li a.active,
 div.tabs .primary li a.active {
   background: url("../images/dark.png") repeat top left;
@@ -1311,8 +1319,15 @@ fieldset.mayo-layout-form div.form-type-radio {
     height: auto;
   }
 
-  #site-name a, #header h1 a, #header h1 a:link, #header h1 a:visited {
-    font-size: .75em;
+  #site-name a, #site-name a:link, #site-name a:visited {
+    margin: 0 0;
+    font-size: .85em;
+    font-weight: 800;
+    line-height: 1em;
+  }
+
+  #header h1 a, #header h1 a:link, #header h1 a:visited {
+    font-size: .85em;
     font-weight: 800;
     line-height: 1em;
     text-decoration: none;
@@ -1334,8 +1349,15 @@ fieldset.mayo-layout-form div.form-type-radio {
     width: 95%;
   }
 
-  #site-name a, #header h1 a, #header h1 a:link, #header h1 a:visited {
-    font-size: .9em;
+  #site-name a, #site-name a:link, #site-name a:visited {
+    margin: 0 0;
+    font-size: 1.2em;
+    font-weight: 800;
+    line-height: 1em;
+  }
+
+  #header h1 a, #header h1 a:link, #header h1 a:visited {
+    font-size: .85em;
     font-weight: 800;
     line-height: 1em;
     text-decoration: none;
@@ -1378,8 +1400,15 @@ fieldset.mayo-layout-form div.form-type-radio {
     height: auto;
   }
 
-  #site-name a, #header h1 a, #header h1 a:link, #header h1 a:visited {
-    font-size: 1.4em;
+  #site-name a, #site-name a:link, #site-name a:visited {
+    margin: 0 0;
+    font-size: 1.8em;
+    font-weight: 800;
+    line-height: 1em;
+  }
+
+  #header h1 a, #header h1 a:link, #header h1 a:visited {
+    font-size: 1.3em;
     font-weight: 800;
     line-height: 1em;
     text-decoration: none;
@@ -1418,8 +1447,15 @@ fieldset.mayo-layout-form div.form-type-radio {
     height: auto;
   }
 
-  #site-name a, #header h1 a, #header h1 a:link, #header h1 a:visited {
-    font-size: 1.7em;
+  #site-name a, #site-name a:link, #site-name a:visited {
+    margin: 0 0;
+    font-size: 2.2em;
+    font-weight: 800;
+    line-height: 1em;
+  }
+
+  #header h1 a, #header h1 a:link, #header h1 a:visited {
+    font-size: 1.6em;
     font-weight: 800;
     line-height: 1em;
     text-decoration: none;
diff --git a/drupal7/sites/all/themes/mayo/mayo.info b/drupal7/sites/all/themes/mayo/mayo.info
index c7f105f0..6b7bef1f 100644
--- a/drupal7/sites/all/themes/mayo/mayo.info
+++ b/drupal7/sites/all/themes/mayo/mayo.info
@@ -1,6 +1,6 @@
 
 name = MAYO
-description = Simple but fully customizable and colorable fixed/liquid layout theme
+description = Simple but fully customizable and colorable responsive layout theme.
 core = 7.x
 
 stylesheets[all][] = css/style.css
@@ -146,9 +146,9 @@ settings[standard-pc] = 1
   settings[global_default_layout]         = 'smalltouch-portrait'
   settings[global_default_layout_toggle]  = 0
   settings[global_files_path]             = 'public_files'
-; Information added by Drupal.org packaging script on 2014-05-07
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2014-06-15
+version = "7.x-2.1"
 core = "7.x"
 project = "mayo"
-datestamp = "1399497228"
+datestamp = "1402797829"
 
diff --git a/drupal7/sites/all/themes/mayo/sass/partials/_responsive-media.scss b/drupal7/sites/all/themes/mayo/sass/partials/_responsive-media.scss
index 30dbb0f9..a9618fcf 100644
--- a/drupal7/sites/all/themes/mayo/sass/partials/_responsive-media.scss
+++ b/drupal7/sites/all/themes/mayo/sass/partials/_responsive-media.scss
@@ -14,8 +14,14 @@
     }
   }
 
-  #site-name a, #header h1 a, #header h1 a:link, #header h1 a:visited {
-    font-size: .75em;
+  #site-name a, #site-name a:link, #site-name a:visited {
+    margin: 0 0;
+    font-size: .85em;
+    font-weight: 800;
+    line-height: 1em;
+  }
+  #header h1 a, #header h1 a:link, #header h1 a:visited {
+    font-size: .85em;
     font-weight: 800;
     line-height: 1em;
     text-decoration: none;
@@ -40,9 +46,14 @@
   input.form-text {
     width: 95%;
   }
-
-  #site-name a, #header h1 a, #header h1 a:link, #header h1 a:visited {
-    font-size: .9em;
+  #site-name a, #site-name a:link, #site-name a:visited {
+    margin: 0 0;
+    font-size: 1.2em;
+    font-weight: 800;
+    line-height: 1em;
+  }
+  #header h1 a, #header h1 a:link, #header h1 a:visited {
+    font-size: .85em;
     font-weight: 800;
     line-height: 1em;
     text-decoration: none;
@@ -88,9 +99,14 @@
     }
   }
 
-
-  #site-name a, #header h1 a, #header h1 a:link, #header h1 a:visited {
-    font-size: 1.4em;
+  #site-name a, #site-name a:link, #site-name a:visited {
+    margin: 0 0;
+    font-size: 1.8em;
+    font-weight: 800;
+    line-height: 1em;
+  }
+  #header h1 a, #header h1 a:link, #header h1 a:visited {
+    font-size: 1.3em;
     font-weight: 800;
     line-height: 1em;
     text-decoration: none;
@@ -132,9 +148,14 @@
     }
   }
 
-
-  #site-name a, #header h1 a, #header h1 a:link, #header h1 a:visited {
-    font-size: 1.7em;
+  #site-name a, #site-name a:link, #site-name a:visited {
+    margin: 0 0;
+    font-size: 2.2em;
+    font-weight: 800;
+    line-height: 1em;
+  }
+  #header h1 a, #header h1 a:link, #header h1 a:visited {
+    font-size: 1.6em;
     font-weight: 800;
     line-height: 1em;
     text-decoration: none;
diff --git a/drupal7/sites/all/themes/mayo/sass/partials/_style-settings.scss b/drupal7/sites/all/themes/mayo/sass/partials/_style-settings.scss
index a71470a3..5f718a2e 100644
--- a/drupal7/sites/all/themes/mayo/sass/partials/_style-settings.scss
+++ b/drupal7/sites/all/themes/mayo/sass/partials/_style-settings.scss
@@ -5,10 +5,10 @@
 // .rc-2 Node only
 // .rc-3 Both sidebar block and node
 // ====================================================================
-.rc-1 .comment,
-.rc-1 .node,
-.rc-2 .column-block,
-.rc-2 .sidebar .block,
+.rc-2 .comment,
+.rc-2 .node,
+.rc-1 .column-block,
+.rc-1 .sidebar .block,
 .rc-3 .comment,
 .rc-3 .node,
 .rc-3 .column-block,
diff --git a/drupal7/sites/all/themes/mayo/sass/style.scss b/drupal7/sites/all/themes/mayo/sass/style.scss
index bf74449e..a60ef8c6 100644
--- a/drupal7/sites/all/themes/mayo/sass/style.scss
+++ b/drupal7/sites/all/themes/mayo/sass/style.scss
@@ -331,6 +331,14 @@ div.tabs .primary li a {
   border-width: 1px;
 }
 
+/* To wrap tabs. */
+div.tabs .secondary li,
+div.tabs .primary li {
+  float: left;
+  line-height: 1.5em;
+  margin-right: 3px;
+}
+
 div.tabs .secondary li a.active,
 div.tabs .primary li a.active {
   background: url('../images/dark.png') repeat top left;
diff --git a/drupal7/sites/all/themes/mayo/templates/page.tpl.php b/drupal7/sites/all/themes/mayo/templates/page.tpl.php
index 73fd7d46..b813b6ac 100644
--- a/drupal7/sites/all/themes/mayo/templates/page.tpl.php
+++ b/drupal7/sites/all/themes/mayo/templates/page.tpl.php
@@ -84,7 +84,7 @@
     $page_style = 'padding: ' . $page_margin . ';';
   }
   else {
-    $main_style = 'padding: 0px ' . $page_margin . ';';
+    $main_style = 'padding: 0px ' . $page_margin . '; box-sizing: border-box;';
   }
 
   $header_style = '';
@@ -115,21 +115,21 @@
   if (empty($logo_left_margin)) $logo_left_margin = '0px';
   $logo_top_margin = theme_get_setting('logo_top_margin');
   if (empty($logo_top_margin)) $logo_top_margin = '0px';
-  $logo_style = 'padding-left: ' . $logo_left_margin . '; padding-top: ' . $logo_top_margin . ';';
+  $logo_style = 'margin-left: ' . $logo_left_margin . '; margin-top: ' . $logo_top_margin . ';';
 
   $sitename_style = '';
   $sitename_left_margin = theme_get_setting('sitename_left_margin');
   if (empty($sitename_left_margin)) $sitename_left_margin = '0px';
   $sitename_top_margin = theme_get_setting('sitename_top_margin');
   if (empty($sitename_top_margin)) $sitename_top_margin = '0px';
-  $sitename_style = 'padding-left: ' . $sitename_left_margin . '; padding-top: ' . $sitename_top_margin . ';';
+  $sitename_style = 'margin-left: ' . $sitename_left_margin . '; margin-top: ' . $sitename_top_margin . ';';
 
   $searchbox_style = '';
   $searchbox_right_margin = theme_get_setting('searchbox_right_margin');
   if (empty($searchbox_right_margin)) $searchbox_right_margin = '0px';
   $searchbox_top_margin = theme_get_setting('searchbox_top_margin');
   if (empty($searchbox_top_margin)) $searchbox_top_margin = '0px';
-  $searchbox_style = 'padding-right: ' . $searchbox_right_margin . '; padding-top: ' . $searchbox_top_margin . ';';
+  $searchbox_style = 'margin-right: ' . $searchbox_right_margin . '; margin-top: ' . $searchbox_top_margin . ';';
 
   $menubar_style = '';
   $menubar_bg_value = theme_get_setting('menubar_bg_value');
@@ -278,7 +278,7 @@
         <?php print render($title_prefix); ?>
         <?php if ($title): ?><h1 class="title" id="page-title"><?php print $title; ?></h1><?php endif; ?>
         <?php print render($title_suffix); ?>
-        <?php if ($tabs): ?><div class="tabs"><?php print render($tabs); ?></div><?php endif; ?>
+        <?php if ($tabs): ?><div class="tabs clearfix"><?php print render($tabs); ?></div><?php endif; ?>
         <?php print render($page['help']); ?>
         <?php if ($action_links): ?><ul class="action-links"><?php print render($action_links); ?></ul><?php endif; ?>
         <?php print render($page['content']); ?>
diff --git a/drupal7/sites/all/themes/mayo/theme-settings.php b/drupal7/sites/all/themes/mayo/theme-settings.php
index f0e3f9b4..563bbc50 100644
--- a/drupal7/sites/all/themes/mayo/theme-settings.php
+++ b/drupal7/sites/all/themes/mayo/theme-settings.php
@@ -145,7 +145,7 @@ function mayo_form_system_theme_settings_alter(&$form, &$form_state) {
       1 => t('1. Apply page margin to all (header, footer and main contents).'),
       2 => t('2. Apply page margin to main contents only.'),
     ),
-    '#description' => '<img src="/' . drupal_get_path('theme', 'mayo') . '/images/page-layout.png" /><br />' . t('When the layout 2 is selected, or header background image is selected, header borders are not drawn to make it looks better.'),
+    '#description' => '<img src="/' . drupal_get_path('theme', 'mayo') . '/images/page-layout.png" /><br />' . t('When the layout 2 is selected, or header background image is selected, header borders are not drawn to make it look better.'),
   );
 
   /* --------------- Responsive sidebar layout settings -------------- */
@@ -958,7 +958,7 @@ function mayo_form_system_theme_settings_alter(&$form, &$form_state) {
     '#type' => 'checkbox',
     '#title' => t('Use dark message colors'),
     '#default_value' => theme_get_setting('dark_messages'),
-    '#value' => 'dark-messages',
+    '#return_value' => 'dark-messages',
     '#description' => t('Check here if you use the dark color set. Colors for the status/warning/error messages are adjusted.'),
   );
 