commit de644da69999b365a908206ac896f84a88d28c5e
Author: Julien Enselme <julien.enselme@centrale-marseille.fr>
Date:   Thu Dec 11 13:05:28 2014 +0100

    Update piwik from 2.6 to 2.7

diff --git a/drupal7/sites/all/modules/piwik/piwik.admin.inc b/drupal7/sites/all/modules/piwik/piwik.admin.inc
index cecad86b..ae651443 100644
--- a/drupal7/sites/all/modules/piwik/piwik.admin.inc
+++ b/drupal7/sites/all/modules/piwik/piwik.admin.inc
@@ -202,7 +202,7 @@ function piwik_admin_settings_form($form_state) {
     '#type' => 'textfield',
     '#default_value' => variable_get('piwik_trackfiles_extensions', PIWIK_TRACKFILES_EXTENSIONS),
     '#description' => t('A file extension list separated by the | character that will be tracked when clicked. Regular expressions are supported. For example: !extensions', array('!extensions' => PIWIK_TRACKFILES_EXTENSIONS)),
-    '#maxlength' => 255,
+    '#maxlength' => 500,
     '#states' => array(
       'enabled' => array(
         ':input[name="piwik_track"]' => array('checked' => TRUE),
diff --git a/drupal7/sites/all/modules/piwik/piwik.info b/drupal7/sites/all/modules/piwik/piwik.info
index ce77adda..de55f0a3 100644
--- a/drupal7/sites/all/modules/piwik/piwik.info
+++ b/drupal7/sites/all/modules/piwik/piwik.info
@@ -5,9 +5,9 @@ package = Statistics
 configure = admin/config/system/piwik
 files[] = piwik.test
 test_dependencies[] = token
-; Information added by Drupal.org packaging script on 2014-09-28
-version = "7.x-2.6"
+; Information added by Drupal.org packaging script on 2014-11-29
+version = "7.x-2.7"
 core = "7.x"
 project = "piwik"
-datestamp = "1411927985"
+datestamp = "1417276085"
 
diff --git a/drupal7/sites/all/modules/piwik/piwik.install b/drupal7/sites/all/modules/piwik/piwik.install
index d6d23b53..a5ccb086 100644
--- a/drupal7/sites/all/modules/piwik/piwik.install
+++ b/drupal7/sites/all/modules/piwik/piwik.install
@@ -254,3 +254,16 @@ function piwik_update_7204() {
 
   return t('Renamed "piwik_visibility" settings variable to piwik_visibility_pages.');
 }
+
+/**
+ * Update list of default file extensions.
+ */
+function piwik_update_7205() {
+  if (variable_get('piwik_trackfiles_extensions', '') == '7z|aac|arc|arj|asf|asx|avi|bin|csv|doc|exe|flv|gif|gz|gzip|hqx|jar|jpe?g|js|mp(2|3|4|e?g)|mov(ie)?|msi|msp|pdf|phps|png|ppt|qtm?|ra(m|r)?|sea|sit|tar|tgz|torrent|txt|wav|wma|wmv|wpd|xls|xml|z|zip') {
+    variable_set('piwik_trackfiles_extensions', '7z|aac|arc|arj|asf|asx|avi|bin|csv|doc(x|m)?|dot(x|m)?|exe|flv|gif|gz|gzip|hqx|jar|jpe?g|js|mp(2|3|4|e?g)|mov(ie)?|msi|msp|pdf|phps|png|ppt(x|m)?|pot(x|m)?|pps(x|m)?|ppam|sld(x|m)?|thmx|qtm?|ra(m|r)?|sea|sit|tar|tgz|torrent|txt|wav|wma|wmv|wpd|xls(x|m|b)?|xlt(x|m)|xlam|xml|z|zip');
+    return t('The default extensions for download tracking have been updated.');
+  }
+  else {
+    return t('Custom extensions for download tracking setting found. Update skipped!');
+  }
+}
diff --git a/drupal7/sites/all/modules/piwik/piwik.module b/drupal7/sites/all/modules/piwik/piwik.module
index 14623185..1721fdf4 100644
--- a/drupal7/sites/all/modules/piwik/piwik.module
+++ b/drupal7/sites/all/modules/piwik/piwik.module
@@ -13,7 +13,7 @@
 /**
  * Define the default file extension list that should be tracked as download.
  */
-define('PIWIK_TRACKFILES_EXTENSIONS', '7z|aac|arc|arj|asf|asx|avi|bin|csv|doc|exe|flv|gif|gz|gzip|hqx|jar|jpe?g|js|mp(2|3|4|e?g)|mov(ie)?|msi|msp|pdf|phps|png|ppt|qtm?|ra(m|r)?|sea|sit|tar|tgz|torrent|txt|wav|wma|wmv|wpd|xls|xml|z|zip');
+define('PIWIK_TRACKFILES_EXTENSIONS', '7z|aac|arc|arj|asf|asx|avi|bin|csv|doc(x|m)?|dot(x|m)?|exe|flv|gif|gz|gzip|hqx|jar|jpe?g|js|mp(2|3|4|e?g)|mov(ie)?|msi|msp|pdf|phps|png|ppt(x|m)?|pot(x|m)?|pps(x|m)?|ppam|sld(x|m)?|thmx|qtm?|ra(m|r)?|sea|sit|tar|tgz|torrent|txt|wav|wma|wmv|wpd|xls(x|m|b)?|xlt(x|m)|xlam|xml|z|zip');
 
 /**
  * Define default path exclusion list to remove tracking from admin pages,
@@ -231,7 +231,7 @@ function piwik_page_alter(&$page) {
       // The USER_ID value should be a unique, persistent, and non-personally
       // identifiable string identifier that represents a user or signed-in
       // account across devices.
-      $script .= '_paq.push(["setUserId", ' . drupal_json_encode(drupal_base64_encode(drupal_get_hash_salt() . $user->uid)) . ']);';
+      $script .= '_paq.push(["setUserId", ' . drupal_json_encode(drupal_hmac_base64($user->uid, drupal_get_private_key() . drupal_get_hash_salt())) . ']);';
     }
 
     // Set custom data.