commit e4215af7e317344b93b1c8588682be94150ebb45
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Wed Apr 14 23:11:43 2021 +0200

    Weekly update of contrib modules

diff --git a/drupal7/sites/all/modules/media/includes/media.fields.inc b/drupal7/sites/all/modules/media/includes/media.fields.inc
index fb614bd8..6ad60ee8 100644
--- a/drupal7/sites/all/modules/media/includes/media.fields.inc
+++ b/drupal7/sites/all/modules/media/includes/media.fields.inc
@@ -206,7 +206,7 @@ function media_field_widget_form(&$form, &$form_state, $field, $instance, $langc
 /**
  * The #value_callback for the media field element.
  */
-function media_field_widget_value($element, $input = FALSE, $form_state) {
+function media_field_widget_value($element, $input = FALSE, $form_state = array()) {
   if ($input) {
     // Checkboxes lose their value when empty.
     // If the display field is present make sure its unchecked value is saved.
diff --git a/drupal7/sites/all/modules/media/media.info b/drupal7/sites/all/modules/media/media.info
index 542831b3..369e08b3 100644
--- a/drupal7/sites/all/modules/media/media.info
+++ b/drupal7/sites/all/modules/media/media.info
@@ -24,8 +24,8 @@ configure = admin/config/media/browser
 ; We have to add a fake version so Git checkouts do not fail Media dependencies
 version = 7.x-2.x-dev
 
-; Information added by Drupal.org packaging script on 2020-03-22
-version = "7.x-2.26"
+; Information added by Drupal.org packaging script on 2021-04-09
+version = "7.x-2.27"
 core = "7.x"
 project = "media"
-datestamp = "1584902430"
+datestamp = "1617993403"
diff --git a/drupal7/sites/all/modules/media/modules/media_bulk_upload/media_bulk_upload.info b/drupal7/sites/all/modules/media/modules/media_bulk_upload/media_bulk_upload.info
index 8ce4ff08..617b2cb2 100644
--- a/drupal7/sites/all/modules/media/modules/media_bulk_upload/media_bulk_upload.info
+++ b/drupal7/sites/all/modules/media/modules/media_bulk_upload/media_bulk_upload.info
@@ -15,8 +15,8 @@ test_dependencies[] = plupload
 files[] = includes/MediaBrowserBulkUpload.inc
 files[] = tests/media_bulk_upload.test
 
-; Information added by Drupal.org packaging script on 2020-03-22
-version = "7.x-2.26"
+; Information added by Drupal.org packaging script on 2021-04-09
+version = "7.x-2.27"
 core = "7.x"
 project = "media"
-datestamp = "1584902430"
+datestamp = "1617993403"
diff --git a/drupal7/sites/all/modules/media/modules/media_internet/media_internet.info b/drupal7/sites/all/modules/media/modules/media_internet/media_internet.info
index d9444b06..e91656da 100644
--- a/drupal7/sites/all/modules/media/modules/media_internet/media_internet.info
+++ b/drupal7/sites/all/modules/media/modules/media_internet/media_internet.info
@@ -12,8 +12,8 @@ files[] = includes/MediaInternetNoHandlerException.inc
 files[] = includes/MediaInternetValidationException.inc
 files[] = tests/media_internet.test
 
-; Information added by Drupal.org packaging script on 2020-03-22
-version = "7.x-2.26"
+; Information added by Drupal.org packaging script on 2021-04-09
+version = "7.x-2.27"
 core = "7.x"
 project = "media"
-datestamp = "1584902430"
+datestamp = "1617993403"
diff --git a/drupal7/sites/all/modules/media/modules/media_internet/tests/media_internet_test.info b/drupal7/sites/all/modules/media/modules/media_internet/tests/media_internet_test.info
index 0eae2c90..bf57e8a3 100644
--- a/drupal7/sites/all/modules/media/modules/media_internet/tests/media_internet_test.info
+++ b/drupal7/sites/all/modules/media/modules/media_internet/tests/media_internet_test.info
@@ -7,8 +7,8 @@ hidden = TRUE
 files[] = includes/MediaInternetTestStreamWrapper.inc
 files[] = includes/MediaInternetTestHandler.inc
 
-; Information added by Drupal.org packaging script on 2020-03-22
-version = "7.x-2.26"
+; Information added by Drupal.org packaging script on 2021-04-09
+version = "7.x-2.27"
 core = "7.x"
 project = "media"
-datestamp = "1584902430"
+datestamp = "1617993403"
diff --git a/drupal7/sites/all/modules/media/modules/media_migrate_file_types/media_migrate_file_types.info b/drupal7/sites/all/modules/media/modules/media_migrate_file_types/media_migrate_file_types.info
index 669b8288..024adf97 100644
--- a/drupal7/sites/all/modules/media/modules/media_migrate_file_types/media_migrate_file_types.info
+++ b/drupal7/sites/all/modules/media/modules/media_migrate_file_types/media_migrate_file_types.info
@@ -8,8 +8,8 @@ dependencies[] = media
 
 configure = admin/structure/file-types/upgrade
 
-; Information added by Drupal.org packaging script on 2020-03-22
-version = "7.x-2.26"
+; Information added by Drupal.org packaging script on 2021-04-09
+version = "7.x-2.27"
 core = "7.x"
 project = "media"
-datestamp = "1584902430"
+datestamp = "1617993403"
diff --git a/drupal7/sites/all/modules/media/modules/media_wysiwyg/includes/media_wysiwyg.features.inc b/drupal7/sites/all/modules/media/modules/media_wysiwyg/includes/media_wysiwyg.features.inc
index e375d1dc..4b6dc0a1 100644
--- a/drupal7/sites/all/modules/media/modules/media_wysiwyg/includes/media_wysiwyg.features.inc
+++ b/drupal7/sites/all/modules/media/modules/media_wysiwyg/includes/media_wysiwyg.features.inc
@@ -79,7 +79,7 @@ function media_wysiwyg_features_export($data, &$export, $module_name = '') {
 /**
  * Implements hook_features_export_render().
  */
-function media_wysiwyg_features_export_render($module_name = '', $data, $export = NULL) {
+function media_wysiwyg_features_export_render($module_name, $data, $export = NULL) {
   $code = array();
   $code[] = '  $media_wysiwyg = array();';
   $code[] = '';
diff --git a/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.info b/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.info
index c29b9e33..f1a1af20 100644
--- a/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.info
+++ b/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.info
@@ -16,8 +16,8 @@ files[] = tests/media_wysiwyg.paragraph_fix_filter.test
 
 configure = admin/config/media/browser
 
-; Information added by Drupal.org packaging script on 2020-03-22
-version = "7.x-2.26"
+; Information added by Drupal.org packaging script on 2021-04-09
+version = "7.x-2.27"
 core = "7.x"
 project = "media"
-datestamp = "1584902430"
+datestamp = "1617993403"
diff --git a/drupal7/sites/all/modules/media/modules/media_wysiwyg_settings/media_wysiwyg_settings.info b/drupal7/sites/all/modules/media/modules/media_wysiwyg_settings/media_wysiwyg_settings.info
index b99aa97d..82a1fb4c 100644
--- a/drupal7/sites/all/modules/media/modules/media_wysiwyg_settings/media_wysiwyg_settings.info
+++ b/drupal7/sites/all/modules/media/modules/media_wysiwyg_settings/media_wysiwyg_settings.info
@@ -13,8 +13,8 @@ features[filter][] = full_html
 features[wysiwyg][] = filtered_html
 features[wysiwyg][] = full_html
 
-; Information added by Drupal.org packaging script on 2020-03-22
-version = "7.x-2.26"
+; Information added by Drupal.org packaging script on 2021-04-09
+version = "7.x-2.27"
 core = "7.x"
 project = "media"
-datestamp = "1584902430"
+datestamp = "1617993403"
diff --git a/drupal7/sites/all/modules/media/modules/media_wysiwyg_view_mode/media_wysiwyg_view_mode.info b/drupal7/sites/all/modules/media/modules/media_wysiwyg_view_mode/media_wysiwyg_view_mode.info
index b62c2394..632a9da3 100644
--- a/drupal7/sites/all/modules/media/modules/media_wysiwyg_view_mode/media_wysiwyg_view_mode.info
+++ b/drupal7/sites/all/modules/media/modules/media_wysiwyg_view_mode/media_wysiwyg_view_mode.info
@@ -3,8 +3,8 @@ description = DEPRECATED, this folder is only here so that the module can be uni
 package = Media
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2020-03-22
-version = "7.x-2.26"
+; Information added by Drupal.org packaging script on 2021-04-09
+version = "7.x-2.27"
 core = "7.x"
 project = "media"
-datestamp = "1584902430"
+datestamp = "1617993403"
diff --git a/drupal7/sites/all/modules/media/modules/mediafield/mediafield.info b/drupal7/sites/all/modules/media/modules/mediafield/mediafield.info
index 9277efff..641db678 100644
--- a/drupal7/sites/all/modules/media/modules/mediafield/mediafield.info
+++ b/drupal7/sites/all/modules/media/modules/mediafield/mediafield.info
@@ -4,8 +4,8 @@ package = Media
 core = 7.x
 dependencies[] = media
 
-; Information added by Drupal.org packaging script on 2020-03-22
-version = "7.x-2.26"
+; Information added by Drupal.org packaging script on 2021-04-09
+version = "7.x-2.27"
 core = "7.x"
 project = "media"
-datestamp = "1584902430"
+datestamp = "1617993403"
diff --git a/drupal7/sites/all/modules/media/tests/media_module_test.info b/drupal7/sites/all/modules/media/tests/media_module_test.info
index 1230c41d..ecbd16e3 100644
--- a/drupal7/sites/all/modules/media/tests/media_module_test.info
+++ b/drupal7/sites/all/modules/media/tests/media_module_test.info
@@ -6,8 +6,8 @@ hidden = TRUE
 
 files[] = includes/MediaModuleTest.inc
 
-; Information added by Drupal.org packaging script on 2020-03-22
-version = "7.x-2.26"
+; Information added by Drupal.org packaging script on 2021-04-09
+version = "7.x-2.27"
 core = "7.x"
 project = "media"
-datestamp = "1584902430"
+datestamp = "1617993403"